import { Hono, Context } from 'hono';
import { PostService } from '@blog/services/post-file';
import { getFeed } from '@blog/services/feed-generator';
import { Feed } from 'feed';

const feed = new Hono<{ Variables: { postService: PostService }}>();
let feedBuffer: string = "";

export async function getFeedFile(c: Context) {
  if (!feedBuffer) {
    const postService: PostService = c.get('postService');
    const feed: Feed = await getFeed(postService);
    feedBuffer = feed.rss2(); 
  }
  
  c.header('Content-Type', 'text/xml');
  return c.body(feedBuffer);
}

feed.get('/rss.xml', getFeedFile);
export default feed;
