import { createFactory } from 'hono/factory';
import { createPostService, PostService } from '@blog/services/post-file';
import { POST_PATH } from '@blog/config';

const factory = createFactory();
let postFileService: PostService;

export const postFileMiddleware = factory.createMiddleware(async (c, next) => {
  if (!postFileService) {
    postFileService = await createPostService(POST_PATH);
  }

  c.set('postService', postFileService);
  await next();
});
