import TOML from 'smol-toml';
import { CONFIG_PATH } from '@blog/config';

export type SiteConfig = {
  title: string;
  owner: {
    name: string;
    email: string;
    mastodonUrl?: string;
  };
  site: {
    description: string;
    url: string;
    repo: string;
    language: string;
    copyright: string;
  };
}

export async function getSiteConfig(): Promise<SiteConfig> {
  const siteConfig = CONFIG_PATH + '/site.toml';
  const file = Bun.file(siteConfig);
  const data = await file.text();
  return TOML.parse(data) as SiteConfig;
}
