import { Style } from 'hono/css';
import { SiteMeta } from '@blog/models/SiteMeta';
import { MetaTags } from '@blog/templates/components/MetaTags';
import { Navigation } from '@blog/templates/components/Navigation';

function getPageTitle(title: string|undefined): string {
  if (!title) {
    return "";
  }

  return title + " - ";
}

export function Page({ children, meta }: { children: any, meta: SiteMeta }) {
  return (
    <html lang="en">
      <head>
        <title>{ getPageTitle(meta.title) }davesmithhayes.com</title>
        <MetaTags meta={meta} />
        <link rel="stylesheet" href="/static/main.css" />
        <link rel="stylesheet" href="/static/intellij-light.min.css" />
      </head>
      <body>
        <header>
          <div class="home-link">
            <a href="/">davesmithhayes.com</a>
          </div>
        </header>
        <nav>
          <Navigation />
        </nav>
        <main>
          {children}
        </main>
        <footer>
          <div class="copyright">&copy; 2024 Dave Smith-Hayes</div>
        </footer>
      </body>
    </html>
  );
}
