import { Post } from "@blog/models/Post";

export function parseDate(date: Date): string {
  return date.toISOString().slice(0,10);
}

export function PostPage({ post }: { post: Post }) {
  const html = { __html: post.html ?? '' };
  return (
    <>
      <h1>{post.meta.title}</h1>
      <div class="post-meta">Posted on {parseDate(post.meta.date)}</div>
      <div class="post-content" dangerouslySetInnerHTML={html} />
    </>
  );
}
